net.snowflake.client.core

## Class SFLogger

- java.lang.Object
- - java.util.logging.Formatter
  - - net.snowflake.client.core.SFLogger

    public class SFLogger
    extends Formatter

SFLogger

### Field Summary

Fields
`static String` `CLASS_NAME_PREFIX`
`static String` `INFORMATICA_V1_CLASS_NAME_PREFIX`
`static String` `INFORMATICA_V2_CLASS_NAME_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`SFLogger()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `format(LogRecord record)`
`String` `getHead(Handler h)`
`String` `getTail(Handler h)`

### Methods inherited from class java.util.logging.Formatter

`formatMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CLASS_NAME_PREFIX

    public static final String CLASS_NAME_PREFIX

#### INFORMATICA_V1_CLASS_NAME_PREFIX

    public static final String INFORMATICA_V1_CLASS_NAME_PREFIX

See Also:
  Constant Field Values

#### INFORMATICA_V2_CLASS_NAME_PREFIX

    public static final String INFORMATICA_V2_CLASS_NAME_PREFIX

See Also:
  Constant Field Values

### Constructor Detail

#### SFLogger

    public SFLogger()

### Method Detail

#### format

    public String format(LogRecord record)

Specified by:
  `format` in class `Formatter`

#### getHead

    public String getHead(Handler h)

Overrides:
  `getHead` in class `Formatter`

#### getTail

    public String getTail(Handler h)

Overrides:
  `getTail` in class `Formatter`